/*
 * @Description  :
 * @Version      : 1.0
 * @Author       : fangliang
 * @Date         : 2022-04-14
 * @LastEditors  : fangliang
 * @LastEditTime : 2022-04-14
 * @FilePath     : \\tms-obc-web\\src\\app\\routes\\interface-docking\\services\\interface-docking.service.ts
 * Copyright (C) 2022 huzhenhong. All rights reserved.
 */

import { Injectable, Injector } from '@angular/core';
import { EACacheService, ShipperBaseService } from '@shared';
import { map } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class InterfaceDockingService extends ShipperBaseService {

  // 查询运单信息表
  public $api_waybillInfo_list = '/api/sdc/dock/bill/list/page';
  public $api_listStatisticalStatus = '/api/sdc/dock/bill/listStatisticalStatus';


  //  保险费列表数据导出接口
  $api_get_asyncExport = `/api/sdc/premiumInfo/asyncExport`;

  public reviewPDF(url: string) {
    if (!url) {
      return;
    }
    this.openURL(url);
  }

  constructor(public injector: Injector) {
    super(injector);
  }
}
